<section data-ng-controller="UsersController" data-ng-init="find()" class="panel">
	<header class="panel-heading higher-panel-heading">
	    Users
	</header>
	<span>
		<table ng-table="tableParams" class="table table-striped table-advance table-hover users" show-filter="true">
		    <tr data-ng-repeat="user in $data">
		    	<td data-title="'Name'" sortable="'name'" filter="{ 'name': 'text' }"><a data-ng-href="#!/users/{{user._id}}">{{user.name | cut:true:75:' ...'}}</a></td>

		        <td data-title="'Email'" sortable="'email'" filter="{ 'email': 'text' }"><a data-ng-href="#!/users/{{user._id}}">{{user.email | cut:true:75:' ...'}}</a></td>


		        
		        <td data-title="'Balance'" sortable="'balance'"><a data-ng-href="#!/users/{{user._id}}">{{user.balance | numeral:'$0,0.00'}}</a></td>
		        <td data-title="'Role'"><a data-ng-href="#!/users/{{user._id}}">
		        	<span ng-show="hasRole('admin', user)">Administrator</span>
		        	<span ng-show="hasRole('customer', user)">Customer</span>
		        	<span ng-show="hasRole('provider', user)">Provider</span>
		        </a></td>
		      </a>
		    </tr>
		</table>
	</span>
</section>
